'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var rollupLitcss = _interopDefault(require('rollup-plugin-lit-css'));
var esDevServerRollup = require('es-dev-server-rollup');
var rollupPluginutils = require('rollup-pluginutils');

function litcss(opts) {
    const { include, exclude } = opts !== null && opts !== void 0 ? opts : {};
    const filter = rollupPluginutils.createFilter(include, exclude);
    return {
        ...esDevServerRollup.wrapRollupPlugin(rollupLitcss(opts)),
        resolveMimeType(context) {
            if (filter(context.path) && context.response.is('css'))
                return 'js';
        }
    };
}

module.exports = litcss;
